<?php
if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

$post_item_cls = 'post-item';
if( $settings['layout'] == 'carousel' ) {
    $post_item_cls .= ' swiper-slide';
}

?>
<div class="<?php echo esc_attr($post_item_cls); ?>">
    <article <?php post_class( 'post-wrapper' ); ?>>
        <?php
        if($settings['link_wrapper']) {
            echo '<a class="item-link rivax-position-cover" aria-label="Item Link" href="' . get_permalink() . '"></a>';
        }
        ?>
        <div class="image-wrapper">
            <?php
            $thumb_args = [ 'title' => get_the_title() ];
            if(0 <= $current_post_num && $current_post_num < intval($settings['skip_lazy_loading']) ) {
                $thumb_args ['loading'] = 'eager'; // Defaults is 'lazy'
            }
            the_post_thumbnail($settings['thumbnail_size'], $thumb_args);
            ?>
        </div>
        <div class="top-content-wrapper rivax-position-top">
            <?php if($settings['terms_position'] == 'top') { $this->render_terms(); }; ?>
            <?php if($settings['title_position'] == 'top') { $this->render_title(); }; ?>
            <?php if($settings['author_position'] == 'top') { $this->render_author(); }; ?>
            <?php if($settings['meta_date_inline_top']) { $this->render_date(); }; ?>
        </div>
        <div class="content-wrapper rivax-position-bottom">
            <?php if($settings['terms_position'] == 'bottom') { $this->render_terms(); }; ?>
            <?php if($settings['title_position'] == 'bottom') { $this->render_title(); }; ?>
            <?php $this->render_excerpt(); ?>
            <div class="meta-wrapper">
                <?php if($settings['author_position'] == 'bottom') { $this->render_author(); }; ?>
                <?php if(!$settings['meta_date_inline_top']) { $this->render_date(); }; ?>
                <?php $this->render_comments(); ?>
                <?php $this->render_views_count(); ?>
                <?php $this->render_reading_time(); ?>
            </div>
        </div>
        <?php $this->render_post_format_icon(); ?>
    </article>
</div>