<?php
if ( ! defined( 'ABSPATH' ) ) { exit; } // Exit if accessed directly

// Set Container Width
$site_width = absint(rivax_get_option('site-width')) ?: '1300';
$custom_css .= ".container { max-width: " . $site_width . "px; }";
$custom_css .= "body .e-con { --container-max-width: " . $site_width . "px; }";

// Accent Colors
if(rivax_get_option('accent-color')) {
    $custom_css .= ':root { --accent-color: ' . rivax_get_option('accent-color') . ';}';
}

if(rivax_get_option('second-color')) {
    $custom_css .= ':root { --second-color: ' . rivax_get_option('second-color') . ';}';
}

// Styling
if(rivax_get_option('body-bg')) {
    $custom_css .= ':root { --body-bg-color: ' . rivax_get_option('body-bg') . ';}';
}

if(rivax_get_option('body-color')) {
    $custom_css .= ':root { --body-color: ' . rivax_get_option('body-color') . ';}';
}

if(rivax_get_option('heading-color')) {
    $custom_css .= ':root { --headings-color: ' . rivax_get_option('heading-color') . ';}';
}

if(rivax_get_option('single-progress-bar-bg', 'from') && rivax_get_option('single-progress-bar-bg', 'to') ) {
    $from = rivax_get_option('single-progress-bar-bg', 'from');
    $to = rivax_get_option('single-progress-bar-bg', 'to');
    $custom_css .= '.post-reading-progress-indicator span { background: linear-gradient(90deg, ' . $from . ', ' . $to . ');}';
}

if(rivax_get_option('single-category-bg')) {
    $custom_css .= '.single-hero-title-1 .category a, .single-hero-title-2 .category a { background: ' . rivax_get_option('single-category-bg') . ';}';
}

if(rivax_get_option('single-category-bg-hover')) {
    $custom_css .= '.single-hero-title-1 .category a:hover, .single-hero-title-2 .category a:hover { background: ' . rivax_get_option('single-category-bg-hover') . ';}';
}

if(rivax_get_option('button-bg-hover')) {
    $custom_css .= ':root { --button-bg-hover: ' . rivax_get_option('button-bg-hover') . ';}';
}

if(rivax_get_option('single-highlight-bg')) {
    $custom_css .= '.single-hero-inside, .single-hero-outside { --single-highlight-bg: ' . rivax_get_option('single-highlight-bg') . ';}';
}

if(rivax_get_option('single-highlight-color')) {
    $custom_css .= '.single-hero-inside, .single-hero-outside { --single-highlight-color: ' . rivax_get_option('single-highlight-color') . ';}';
}


// Dark Mode style
if(rivax_get_option('accent-color-dark')) {
    $custom_css .= 'body.dark-mode { --accent-color: ' . rivax_get_option('accent-color-dark') . ';}';
}

if(rivax_get_option('second-color-dark')) {
    $custom_css .= 'body.dark-mode { --second-color: ' . rivax_get_option('second-color-dark') . ';}';
}

if(rivax_get_option('body-bg-dark')) {
    $custom_css .= 'body.dark-mode { --body-bg-color: ' . rivax_get_option('body-bg-dark') . ';}';
}

if(rivax_get_option('body-color-dark')) {
    $custom_css .= 'body.dark-mode { --body-color: ' . rivax_get_option('body-color-dark') . ';}';
}

if(rivax_get_option('heading-color-dark')) {
    $custom_css .= 'body.dark-mode { --headings-color: ' . rivax_get_option('heading-color-dark') . ';}';
}

if(rivax_get_option('single-category-bg-dark')) {
    $custom_css .= 'body.dark-mode .single-hero-title-1 .category a, body.dark-mode .single-hero-title-2 .category a { background: ' . rivax_get_option('single-category-bg-dark') . ';}';
}

if(rivax_get_option('single-category-bg-hover-dark')) {
    $custom_css .= 'body.dark-mode .single-hero-title-1 .category a:hover, body.dark-mode .single-hero-title-2 .category a:hover { background: ' . rivax_get_option('single-category-bg-hover-dark') . ';}';
}

if(rivax_get_option('button-bg-hover-dark')) {
    $custom_css .= 'body.dark-mode { --button-bg-hover: ' . rivax_get_option('button-bg-hover-dark') . ';}';
}


/* Footer Elements */
if(rivax_get_option('back-to-top-bg')) {
    $custom_css .= '#back-to-top { background: ' . rivax_get_option('back-to-top-bg') . ';}';
}

if(rivax_get_option('footer-canvas-menu-bg')) {
    $custom_css .= '.footer-canvas-menu-bg { background: ' . rivax_get_option('footer-canvas-menu-bg') . ';}';
}

if(rivax_get_option('footer-canvas-menu-color')) {
    $custom_css .= '.footer-canvas-menu .rivax-header-v-nav li.menu-item a { color: ' . rivax_get_option('footer-canvas-menu-color') . ';}';
    $custom_css .= '.footer-canvas-menu-btn { color: ' . rivax_get_option('footer-canvas-menu-color') . ';}';
}

if(rivax_get_option('footer-canvas-menu-color-hover')) {
    $custom_css .= '.footer-canvas-menu .rivax-header-v-nav li.menu-item a:hover, .footer-canvas-menu .rivax-header-v-nav li.current-menu-item a { color: ' . rivax_get_option('footer-canvas-menu-color-hover') . ';}';
}


/* Privacy Notice */
if(rivax_get_option('privacy-color')) {
    $custom_css .= '.privacy-notice { color: ' . rivax_get_option('privacy-color') . ';}';
}

if(rivax_get_option('privacy-color-dark')) {
    $custom_css .= 'body.dark-mode .privacy-notice { color: ' . rivax_get_option('privacy-color-dark') . ';}';
}

if(rivax_get_option('privacy-bg')) {
    $custom_css .= '.privacy-notice { background: ' . rivax_get_option('privacy-bg') . ';}';
}

if(rivax_get_option('privacy-bg-dark')) {
    $custom_css .= 'body.dark-mode .privacy-notice { background: ' . rivax_get_option('privacy-bg-dark') . ';}';
}



/* Blog Archive Title */
if(rivax_get_option('blog-archive-title-bg')) {
    $custom_css .= '.blog-archive-title { background: ' . rivax_get_option('blog-archive-title-bg') . ';}';
}

if(rivax_get_option('blog-archive-title-color')) {
    $custom_css .= '.blog-archive-title, .blog-archive-title .title { color: ' . rivax_get_option('blog-archive-title-color') . ';}';
}

if(is_array(rivax_get_option('blog-archive-title-padding'))) {
    $padding_option = rivax_get_option('blog-archive-title-padding');
    $padding = '';
    $padding .= $padding_option['padding-top']? 'padding-top:' .$padding_option['padding-top'] . ';' : '';
    $padding .= $padding_option['padding-right']? 'padding-right:' . $padding_option['padding-right'] . ';' : '';
    $padding .= $padding_option['padding-bottom']? 'padding-bottom:' . $padding_option['padding-bottom'] . ';' : '';
    $padding .= $padding_option['padding-left']? 'padding-left:' . $padding_option['padding-left'] . ';' : '';
    $custom_css .= '.blog-archive-title, .blog-archive-title .title {' . $padding . '}';
}



/* Typography */
if(rivax_get_option('typography-body', 'font-family')) {
    $custom_css .= 'body {';

	$custom_css .= 'font-family: ' . rivax_get_option('typography-body', 'font-family') . ',sans-serif;';

	if(rivax_get_option('typography-body', 'font-weight')) {
		$custom_css .= 'font-weight: ' . rivax_get_option('typography-body', 'font-weight') . ';';
	}
	if(rivax_get_option('typography-body', 'font-style')) {
		$custom_css .= 'font-style: ' . rivax_get_option('typography-body', 'font-style') . ';';
	}

	$custom_css .= '}';
}

if(rivax_get_option('typography-body', 'font-size')) {
    $custom_css .= 'html { font-size: ' . rivax_get_option('typography-body', 'font-size') . ';}';
}

if(rivax_get_option('typography-heading', 'font-family')) {
    $custom_css .= 'h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {';

	$custom_css .= 'font-family: ' . rivax_get_option('typography-heading', 'font-family') . ',sans-serif;';

	if(rivax_get_option('typography-heading', 'font-weight')) {
		$custom_css .= 'font-weight: ' . rivax_get_option('typography-heading', 'font-weight') . ';';
	}
	if(rivax_get_option('typography-heading', 'font-style')) {
		$custom_css .= 'font-style: ' . rivax_get_option('typography-heading', 'font-style') . ';';
	}

	$custom_css .= '}';
}

if(rivax_get_option('typography-heading-h1', 'font-family')) {
    $custom_css .= 'h1, .h1 {';

    $custom_css .= 'font-family: ' . rivax_get_option('typography-heading-h1', 'font-family') . ',sans-serif;';

    if(rivax_get_option('typography-heading-h1', 'font-weight')) {
        $custom_css .= 'font-weight: ' . rivax_get_option('typography-heading-h1', 'font-weight') . ';';
    }
    if(rivax_get_option('typography-heading-h1', 'font-style')) {
        $custom_css .= 'font-style: ' . rivax_get_option('typography-heading-h1', 'font-style') . ';';
    }

    $custom_css .= '}';
}

if(rivax_get_option('typography-heading-h2', 'font-family')) {
    $custom_css .= 'h2, .h2 {';

    $custom_css .= 'font-family: ' . rivax_get_option('typography-heading-h2', 'font-family') . ',sans-serif;';

    if(rivax_get_option('typography-heading-h2', 'font-weight')) {
        $custom_css .= 'font-weight: ' . rivax_get_option('typography-heading-h2', 'font-weight') . ';';
    }
    if(rivax_get_option('typography-heading-h2', 'font-style')) {
        $custom_css .= 'font-style: ' . rivax_get_option('typography-heading-h2', 'font-style') . ';';
    }

    $custom_css .= '}';
}

if(rivax_get_option('typography-heading-h3', 'font-family')) {
    $custom_css .= 'h3, .h3 {';

    $custom_css .= 'font-family: ' . rivax_get_option('typography-heading-h3', 'font-family') . ',sans-serif;';

    if(rivax_get_option('typography-heading-h3', 'font-weight')) {
        $custom_css .= 'font-weight: ' . rivax_get_option('typography-heading-h3', 'font-weight') . ';';
    }
    if(rivax_get_option('typography-heading-h3', 'font-style')) {
        $custom_css .= 'font-style: ' . rivax_get_option('typography-heading-h3', 'font-style') . ';';
    }

    $custom_css .= '}';
}

if(rivax_get_option('typography-heading-h4', 'font-family')) {
    $custom_css .= 'h4, .h4 {';

    $custom_css .= 'font-family: ' . rivax_get_option('typography-heading-h4', 'font-family') . ',sans-serif;';

    if(rivax_get_option('typography-heading-h4', 'font-weight')) {
        $custom_css .= 'font-weight: ' . rivax_get_option('typography-heading-h4', 'font-weight') . ';';
    }
    if(rivax_get_option('typography-heading-h4', 'font-style')) {
        $custom_css .= 'font-style: ' . rivax_get_option('typography-heading-h4', 'font-style') . ';';
    }

    $custom_css .= '}';
}

if(rivax_get_option('typography-heading-h5', 'font-family')) {
    $custom_css .= 'h5, .h5 {';

    $custom_css .= 'font-family: ' . rivax_get_option('typography-heading-h5', 'font-family') . ',sans-serif;';

    if(rivax_get_option('typography-heading-h5', 'font-weight')) {
        $custom_css .= 'font-weight: ' . rivax_get_option('typography-heading-h5', 'font-weight') . ';';
    }
    if(rivax_get_option('typography-heading-h5', 'font-style')) {
        $custom_css .= 'font-style: ' . rivax_get_option('typography-heading-h5', 'font-style') . ';';
    }

    $custom_css .= '}';
}

if(rivax_get_option('typography-heading-h6', 'font-family')) {
    $custom_css .= 'h6, .h6 {';

    $custom_css .= 'font-family: ' . rivax_get_option('typography-heading-h6', 'font-family') . ',sans-serif;';

    if(rivax_get_option('typography-heading-h6', 'font-weight')) {
        $custom_css .= 'font-weight: ' . rivax_get_option('typography-heading-h6', 'font-weight') . ';';
    }
    if(rivax_get_option('typography-heading-h6', 'font-style')) {
        $custom_css .= 'font-style: ' . rivax_get_option('typography-heading-h6', 'font-style') . ';';
    }

    $custom_css .= '}';
}


if(rivax_get_option('typography-terms', 'font-family')) {
	$custom_css .= '.term-item {';

	$custom_css .= 'font-family: ' . rivax_get_option('typography-terms', 'font-family') . ',sans-serif;';

	if(rivax_get_option('typography-terms', 'font-weight')) {
		$custom_css .= 'font-weight: ' . rivax_get_option('typography-terms', 'font-weight') . ';';
	}
	if(rivax_get_option('typography-terms', 'font-style')) {
		$custom_css .= 'font-style: ' . rivax_get_option('typography-terms', 'font-style') . ';';
	}

	$custom_css .= '}';
}

if(rivax_get_option('h1-font-size')) {
    $custom_css .= 'h1, .h1 { font-size: ' . rivax_get_option('h1-font-size') . ';}';
}

if(rivax_get_option('h2-font-size')) {
    $custom_css .= 'h2, .h2 { font-size: ' . rivax_get_option('h2-font-size') . ';}';
}

if(rivax_get_option('h3-font-size')) {
    $custom_css .= 'h3, .h3 { font-size: ' . rivax_get_option('h3-font-size') . ';}';
}

if(rivax_get_option('h4-font-size')) {
    $custom_css .= 'h4, .h4 { font-size: ' . rivax_get_option('h4-font-size') . ';}';
}

if(rivax_get_option('h5-font-size')) {
    $custom_css .= 'h5, .h5 { font-size: ' . rivax_get_option('h5-font-size') . ';}';
}

if(rivax_get_option('h6-font-size')) {
    $custom_css .= 'h6, .h6 { font-size: ' . rivax_get_option('h6-font-size') . ';}';
}


$custom_css .='@media screen and (max-width: 1024px) {';

if(rivax_get_option('h1-font-size-responsive')) {
    $custom_css .= 'h1, .h1 { font-size: ' . rivax_get_option('h1-font-size-responsive') . ';}';
}

if(rivax_get_option('h2-font-size-responsive')) {
    $custom_css .= 'h2, .h2 { font-size: ' . rivax_get_option('h2-font-size-responsive') . ';}';
}

if(rivax_get_option('h3-font-size-responsive')) {
    $custom_css .= 'h3, .h3 { font-size: ' . rivax_get_option('h3-font-size-responsive') . ';}';
}

if(rivax_get_option('h4-font-size-responsive')) {
    $custom_css .= 'h4, .h4 { font-size: ' . rivax_get_option('h4-font-size-responsive') . ';}';
}

if(rivax_get_option('h5-font-size-responsive')) {
    $custom_css .= 'h5, .h5 { font-size: ' . rivax_get_option('h5-font-size-responsive') . ';}';
}

if(rivax_get_option('h6-font-size-responsive')) {
    $custom_css .= 'h6, .h6 { font-size: ' . rivax_get_option('h6-font-size-responsive') . ';}';
}

$custom_css .='}';



/* Header */
if(rivax_get_option('float-header-glass-bg-blur')) {
    $custom_css .= '#site-header.float-header::before { -webkit-backdrop-filter: blur(' . rivax_get_option('sticky-header-glass-bg-blur') . 'px); backdrop-filter: blur(' . rivax_get_option('sticky-header-glass-bg-blur') . 'px);}';
}

if(rivax_get_option('sticky-header-glass-bg-blur')) {
    $custom_css .= '#site-sticky-header::before { -webkit-backdrop-filter: blur(' . rivax_get_option('sticky-header-glass-bg-blur') . 'px); backdrop-filter: blur(' . rivax_get_option('sticky-header-glass-bg-blur') . 'px);}';
}


/* Category Color */
$terms = get_terms(['taxonomy' => 'category', 'fields' => 'ids', 'meta_key' => 'rivax_term_color', 'meta_value' => '', 'meta_compare' => '!=']);
foreach ($terms as $term) {
    $term_color = get_term_meta($term, 'rivax_term_color', true);
    if($term_color) {
        $custom_css .= '.term-id-' . $term . '{--term-color: ' . $term_color . ';}';
    }
}